@import "../../_mixins.scss";

.customer-setting {
  display: flex;
  flex-direction: column;
  background: var(--tile-bg);
  border-radius: 2px;
  width: 100%;
  .voilence__header {
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid var(--base-border);
    cursor: pointer;
    font-family: var(--font-first);
    font-size: var(--font-s);
    font-weight: 600;
    color: #333333;

    .voilence__header-link {
      padding: 15px 40px 10px 40px;
      text-align: center;
      text-transform: uppercase;
      font-weight: bold;
    }
    .voilence__header-link--active {
      border-bottom: 2px solid var(--primary);
      cursor: not-allowed;
    }
  }
  .customer-setting-container {
    background: white;
    display: flex;
    flex-direction: column;

    .selection-fields {
      padding: 10px 15px;
    }
    .save-button-customer-setting {
      width: 125px;
      margin: 0 0 20px 20px;
    }
  }
}

.client-360-setting-container {
  padding: 15px 0;
  position: relative;
  .client-setting-spinner {
    position: absolute;
    top: 30%;
  }
  .setting-row {
    margin-bottom: 10px;
    display: flex;
    flex-direction: column;
    h3 {
      font-weight: 550;
      font-size: var(--font-xl);
      margin-left: 20px;
      margin-bottom: 5px;
    }
    .client-setting-note {
      font-size: var(--font-l);
      font-weight: 500;
      color: gray;
      margin: 5px 0 20px 15px;
      line-height: 1.75;
      .client-360-settings-link {
        color: var(--primary);
        opacity: 0.9;
        &:hover,
        &:active,
        &:focus {
          color: var(--primary);
          opacity: 1;
        }
      }
    }
  }
  .client-360-settings-save {
    margin: 10px 0 0 20px;
  }
}
